[Overview][Resource strings][Constants][Types][Classes][Variables][Index] | Reference for unit 'simpleipc' (#fcl)

# TSimpleIPCServer.StartServer

Start the server

## Declaration

Source position: simpleipc.pp line 200

`public procedure TSimpleIPCServer.StartServer; procedure TSimpleIPCServer.StartServer(`
`AThreaded: Boolean`
`);`

## Arguments

`AThreaded` |  | Should the server run threaded ?

## Description

StartServer starts the server side of the communication channel. It is called automatically when the Active property is set to True. It creates the internal communication object (a TIPCServerComm descendent) and activates the communication channel.

The aThreaded property can be used to force or disable threaded mode: in threaded mode, a thread is started that automatically checks for new messages and puts them on a queue. If the argument is not specified, then the property TSimpleIPCServer.Threaded is examined to know whether to start in threaded mode or not.

After this method was called, clients can connect and send messages.

Prior to calling this method, the ServerID property must be set.

## Errors

If an error occurs a EIPCError exception may be raised.

## See also

TIPCServerComm |  | Internal message communication component
Active |  | Communication channel active
ServerID |  | Unique server identification
StopServer |  | Stop the server
TSimpleIPCServer.Threaded |  | Is the server running threaded or not ?